org.apache.myfaces.trinidad.change

## Class NullChangeManager

- java.lang.Object
- - org.apache.myfaces.trinidad.change.ChangeManager
  - - org.apache.myfaces.trinidad.change.NullChangeManager

-     public class NullChangeManager
      extends ChangeManager

  An ChangeManager implementation that is all a no-op.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.change.ChangeManager

      `ChangeManager.ChangeOutcome, ChangeManager.NotificationOutcome`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullChangeManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComponentChange(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, ComponentChange change)` Adds a ComponentChange to the current request for a specified component.
    `void` | `applyComponentChangesForCurrentView(javax.faces.context.FacesContext facesContext)` Applies all the ComponentChanges added so far for the current view.
    `void` | `applyComponentChangesForSubtree(javax.faces.context.FacesContext facesContext, javax.faces.component.NamingContainer root)` Applies the ComponentChanges added so far for components underneath the specified NamingContainer.
    `void` | `applySimpleComponentChanges(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Apply non-cross-component changes to a component in its original location.

    - ### Methods inherited from class org.apache.myfaces.trinidad.change.ChangeManager

      `addDocumentChange, addDocumentChangeWithOutcome, createDocumentChange, documentChangeApplied, registerDocumentFactory, replaceAttributeChangeIfPresent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullChangeManager

          public NullChangeManager()

  - ### Method Detail

    - #### addComponentChange

          public void addComponentChange(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent uiComponent,
                                ComponentChange change)

      Adds a ComponentChange to the current request for a specified component. Component changes cannot be added for stamped children of an UIXIterator. A DocumentChange will be automatically created and applied on the ChangeManager registered for this application if the following conditions are met: 1. The ChangeManager registered for the application supports document change persistence 2. DocumentChange corresponding to the supplied ComponentChange can be created with the help of any registered DocumentChangeFactory When such a DocumentChange is added, the ChangeManager registered for the application is notified by means of calling its documentChangeApplied() method. This is to give the registered ChangeManager an opportunity to take any necessary action. For example, Session based ChangeManager implementations may choose to remove the ComponentChange, if any added earlier. Custom ChangeManager implementations should notify likewise if it automatically creates and adds a DocumentChange.
      Specified by:
        `addComponentChange` in class `ChangeManager`
      See Also:
        `DocumentChangeFactory`, `#documentChangeApplied(FacesContext, UIComponent, ComponentChange`

    - #### applyComponentChangesForCurrentView

          public void applyComponentChangesForCurrentView(javax.faces.context.FacesContext facesContext)

      Applies all the ComponentChanges added so far for the current view. Developers should not need to call this method. Internal implementation will call it as the component tree is built and is ready to take changes.
      Overrides:
        `applyComponentChangesForCurrentView` in class `ChangeManager`
      Parameters:
        `facesContext` - The FacesContext instance for the current request.

    - #### applyComponentChangesForSubtree

          public void applyComponentChangesForSubtree(javax.faces.context.FacesContext facesContext,
                                             javax.faces.component.NamingContainer root)

      Applies the ComponentChanges added so far for components underneath the specified NamingContainer. Developers should not need to call this method. Internal implementation will call it as the component tree is built and is ready to take changes.
      Overrides:
        `applyComponentChangesForSubtree` in class `ChangeManager`
      Parameters:
        `facesContext` - The FacesContext instance for the current request.
        `root` - The NamingContainer that contains the component subtree to which ComponentChanges should be applied. If null, all changes are applied.

    - #### applySimpleComponentChanges

          public void applySimpleComponentChanges(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component)

      Apply non-cross-component changes to a component in its original location. This is typically only called by tags that need to ensure that a newly created component instance is as up-to-date as possible.
      Overrides:
        `applySimpleComponentChanges` in class `ChangeManager`
        `component` - Component to apply the simple changes to

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.